pcl::StereoGrabber< PointT > Class Template Reference

`#include <pcl/stereo/stereo_grabber.h>`

Inheritance diagram for pcl::StereoGrabber< PointT >:

## Public Member Functions

| StereoGrabber (const std::pair< std::string, std::string > &pair_files, float frames_per_second=0, bool repeat=false)
| StereoGrabber (const std::vector< std::pair< std::string, std::string > > &files, float frames_per_second=0, bool repeat=false)
Public Member Functions inherited from pcl::StereoGrabberBase
| StereoGrabberBase (const std::pair< std::string, std::string > &pair_files, float frames_per_second, bool repeat)
| Constructor taking just one Stereo pair. More...
| StereoGrabberBase (const std::vector< std::pair< std::string, std::string > > &files, float frames_per_second, bool repeat)
| Constructor taking a list of paths to Stereo pair files, that are played in the order they appear in the list. More...
| StereoGrabberBase (const StereoGrabberBase &src)
| Copy constructor. More...
StereoGrabberBase & | operator= (const StereoGrabberBase &src)
| Copy operator. More...
virtual | ~StereoGrabberBase () throw ()
| Virtual destructor. More...
virtual void | start ()
| Starts playing the list of Stereo images if frames_per_second is > 0. More...
virtual void | stop ()
| Stops playing the list of Stereo images if frames_per_second is > 0. More...
virtual void | trigger ()
| Triggers a callback with new data. More...
virtual bool | isRunning () const
| whether the grabber is started (publishing) or not. More...
virtual std::string | getName () const
virtual void | rewind ()
| Rewinds to the first pair of files in the list. More...
virtual float | getFramesPerSecond () const
| Returns the frames_per_second. More...
bool | isRepeatOn () const
| Returns whether the repeat flag is on. More...
Public Member Functions inherited from pcl::Grabber
| Grabber ()
| Constructor. More...
virtual | ~Grabber () throw ()
| virtual desctructor. More...
template<typename T >
boost::signals2::connection | registerCallback (const boost::function< T > &callback)
| registers a callback function/method to a signal with the corresponding signature More...
template<typename T >
bool | providesCallback () const
| indicates whether a signal with given parameter-type exists or not More...

## Protected Member Functions

virtual void | publish (const pcl::PCLPointCloud2 &blob, const Eigen::Vector4f &origin, const Eigen::Quaternionf &orientation) const
Protected Member Functions inherited from pcl::Grabber
virtual void | signalsChanged ()
template<typename T >
boost::signals2::signal< T > * | find_signal () const
template<typename T >
int | num_slots () const
template<typename T >
void | disconnect_all_slots ()
template<typename T >
void | block_signal ()
template<typename T >
void | unblock_signal ()
void | block_signals ()
void | unblock_signals ()
template<typename T >
boost::signals2::signal< T > * | createSignal ()

## Protected Attributes

boost::signals2::signal< void(const boost::shared_ptr< const pcl::PointCloud< PointT > > &)> * | signal_
Protected Attributes inherited from pcl::Grabber
std::map< std::string, boost::signals2::signal_base * > | signals_
std::map< std::string, std::vector< boost::signals2::connection > > | connections_
std::map< std::string, std::vector< boost::signals2::shared_connection_block > > | shared_connections_

## Detailed Description

### template<typename PointT>
class pcl::StereoGrabber< PointT >

Definition at line 134 of file stereo_grabber.h.

## Constructor & Destructor Documentation

## StereoGrabber() [1/2]

template<typename PointT >

pcl::StereoGrabber< PointT >::StereoGrabber | ( | const std::pair< std::string, std::string > & | pair_files,
|  | float | frames_per_second = `0`,
|  | bool | repeat = `false`
| ) |  |

Definition at line 148 of file stereo_grabber.h.

References pcl::StereoGrabber< PointT >::signal_.

## StereoGrabber() [2/2]

template<typename PointT >

pcl::StereoGrabber< PointT >::StereoGrabber | ( | const std::vector< std::pair< std::string, std::string > > & | files,
|  | float | frames_per_second = `0`,
|  | bool | repeat = `false`
| ) |  |

Definition at line 156 of file stereo_grabber.h.

References pcl::StereoGrabber< PointT >::signal_.

## Member Function Documentation

## publish()

template<typename PointT >

void pcl::StereoGrabber< PointT >::publish | ( | const pcl::PCLPointCloud2 & | blob,
|  | const Eigen::Vector4f & | origin,
|  | const Eigen::Quaternionf & | orientation
| ) |  | const

protected virtual

Implements pcl::StereoGrabberBase.

Definition at line 164 of file stereo_grabber.h.

References pcl::fromPCLPointCloud2(), pcl::PointCloud< PointT >::sensor_orientation_, pcl::PointCloud< PointT >::sensor_origin_, and pcl::StereoGrabber< PointT >::signal_.

## Member Data Documentation

## signal_

template<typename PointT >

boost::signals2::signal<void (const boost::shared_ptr<const pcl::PointCloud<PointT> >&)>* pcl::StereoGrabber< PointT >::signal_

protected

Definition at line 143 of file stereo_grabber.h.

Referenced by pcl::StereoGrabber< PointT >::publish(), and pcl::StereoGrabber< PointT >::StereoGrabber().

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/stereo/include/pcl/stereo/stereo_grabber.h